Ogre::HardwareBufferLockGuard< T > Struct Template Reference
LOD

`#include <OgreProgressiveMesh.h>`

List of all members.

## Public Member Functions

| HardwareBufferLockGuard (const T &p, HardwareBuffer::LockOptions options)
| HardwareBufferLockGuard (const T &p, size_t offset, size_t length, HardwareBuffer::LockOptions options)
| ~HardwareBufferLockGuard ()

## Public Attributes

const T & | pBuf
void * | pData

## Detailed Description

### template<typename T>
struct Ogre::HardwareBufferLockGuard< T >

Definition at line 389 of file OgreProgressiveMesh.h.

## Constructor & Destructor Documentation

template<typename T >

Ogre::HardwareBufferLockGuard< T >::HardwareBufferLockGuard | ( | const T & | p,
|  | HardwareBuffer::LockOptions | options
| ) |  |

Definition at line 391 of file OgreProgressiveMesh.h.

References Ogre::HardwareBufferLockGuard< T >::pBuf, and Ogre::HardwareBufferLockGuard< T >::pData.

template<typename T >

Ogre::HardwareBufferLockGuard< T >::HardwareBufferLockGuard | ( | const T & | p,
|  | size_t | offset,
|  | size_t | length,
|  | HardwareBuffer::LockOptions | options
| ) |  |

Definition at line 396 of file OgreProgressiveMesh.h.

References Ogre::HardwareBufferLockGuard< T >::pBuf, and Ogre::HardwareBufferLockGuard< T >::pData.

template<typename T >

Ogre::HardwareBufferLockGuard< T >::~HardwareBufferLockGuard | ( |  | ) |

Definition at line 401 of file OgreProgressiveMesh.h.

References Ogre::HardwareBufferLockGuard< T >::pBuf.

## Member Data Documentation

template<typename T >

const T& Ogre::HardwareBufferLockGuard< T >::pBuf

Definition at line 405 of file OgreProgressiveMesh.h.

Referenced by Ogre::HardwareBufferLockGuard< T >::HardwareBufferLockGuard(), and Ogre::HardwareBufferLockGuard< T >::~HardwareBufferLockGuard().

template<typename T >

void* Ogre::HardwareBufferLockGuard< T >::pData

Definition at line 406 of file OgreProgressiveMesh.h.

Referenced by Ogre::HardwareBufferLockGuard< T >::HardwareBufferLockGuard().

The documentation for this struct was generated from the following file:

- OgreProgressiveMesh.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:34